Subject: My notes from the chairs training sessions

From: "Bron Gondwana" <[email-masked]>
Date: Wed, 01 Dec 2021 00:11:56 +1100

Apologies that these are not in particularly good shape - I haven't had the time to tidy them into neat things, but I figured a brain dump in advance of the session in a few hours that I can't make it to is good.  See some of you in the second session when I'm awake tomorrow!

I was attending the sessions which were at 9pm (then 10pm when the clocks changed) in Melbourne.

I had promised to try to filter these into more sensible and concise points - so apologies for infodumping at the last minute.  I had names in some of the comments, and I've tried to remove them so they stand alone without the name of the person saying them - often when things seem disjointed they are the points different people were making.  Ideally I'd summarise that into key points, since there's repetition there.  One day!  *I tried to bold the really key points*, but I probably missed some of them.

Cheers,

Bron.

Session 1

Pre-planning your meeting:
 * sync up with your co-chair
 * write down the outcomes that you want by the end of the meeting
   * What decisions
   * What actions
 * envision the full meeting and how you will manage contributors
 * anticipate the next steps and task assignments
   * think about who will be responsive and complete the tasks

Structuring the agenda:
 * Build and share a draft agenda
   * Establish a deadline for agenda item requests and comments.
   * Estimate the time needed for each agenda item
   * Order the agenda prioritising previous items (not covered last meeting)
   * *Identify pre-read materials*
   * Define the decisions and actions to be made

Virtual vs F2F interim meetings

IESG provides structure:
 * Follow the guidelines
 * Set expectations in the meeting request.
 * Schedule the meetings using tools like doodle.
 * Meeting decisions MUST be reviewed on the mailing list.

During a meeting:
 * Submit WG scheduling request as early as possible.
 * Notify participants as early as possible.
 * Submit meeting content (slides, topics)
 * Notify participants of pre-read documents.
 * Identify a minute taker and jabber scribe (ideally more than one)
   * Nice to have a second minute taker sometimes to capture more.

Moderating a mailing list:
 * Align participants with a clear email → start a new discussion with a clear purpose and schedule.  If there are timelines or decisions you want to have done by certain dates, make sure you outline that up front.
 * Include ongoing summarisation (loop people back to the purpose)

Guidelines for meetings:
 * Participate in professional diaglog
 * Share input before deadline
 * Respect all participants
 * Abide by decision-making process (summarise, consensus poll)

Breakouts:
 * Scenario 1 – A recommendation was made and there seems to be agreement among participants in a virtual interim meeting that included some of the more vocal WG participants. What should happen next? What kind of additional interactions need to take place to get to rough consensus?
   * Luigi, Lars, Bron, Michael Richardson, Christian Amsuss, Maria Ines Robies
   * Summary email of the decision to the list.
   * Chairs set a date to receive objections.
   * What’s important is that the mailing list gets the summary of the decision and why - not a rehashing of all the options.
   * Point out in meeting that it will be confirmed on the list, and those who were present in the meeting 

Session 2

 * Missed due to screwups and being busy elsewhere on Thursday night, oops.

Session 3

 * Informal leaders benefit organisations.
   * Referent power
     * Ability to lead by example, dictated by trust that someone has in you and built on a case-by-case basis.
     * Similar to respect
   * Expert power
     * Power of content expertise
     * Could be other people in the group, not just the chairs - impacts the confidence of the group.  Group needs to feel that there’s someone with expertise.
   * Reward power
     * Convey approval, and people know that you value them and their ideas.
 * POLL - which basis of power do you use most frequently?
   * 50% Referent, 50% Expert
   * 50% Referent, 25% Expert, 25% Reward

 * Growth vs Fixed Mindset → believe that people can grow, get better, develop new skills.
   * Become self-aware
   * Disrupt yourself
   * Recognise and reward the benefit of failure
   * Focus on going process
   * Persevere

 * examples for IETF working groups?
   * Examples like: bringing more people into the conversation.  Create an environment where people feel comfortable contributing.  In some of the meetings, a few voices (often the experts) - not a lot of others asking questions, re-framing of what was stated to help people collaborate.
 * One participant in our session switched from busy agenda to lots of time for discussion, which was good.

 * The Inclusive Mindset
   * Visible commitment
   * What leaders say and do make a 70% difference in whether people feel included.
   * Fosters engagement, develops relationships
   * Make Diversity and Inclusion a value
   * Humility - admit when you’re wrong.
   * Cultural Intelligence
   * Engage

 * Inclusion and Engagement
   * Psychological safety and engagement - don’t want to feel like your questions are dumb
   * Connection between inclusivity and engagement

 * The “Agile” mindset
   * Able to respond quickly and dynamically to change
   * Adapting as you go.
   * Encourage innovation and creativity.

 * As a new chair, you’re emulating “what’s always been done” and don’t want to deviate too soon.  Have to respect the history within the IETF.
   * There’s good history.
   * Agree on the opinion that we jump a bit too much on new things.
   * But sometimes we’re pretty attached to the history and don’t dare to explore something that’s been tried in the past and failed for some reason, but someone comes back with another try at the solution.
     * Have more experience
     * New tech
     * Use cases might be slightly different
   * Sometimes we should dare to be more agile.
   * Also goes into "who’s voices are at the table”.
     * Ties back to having diverse voices to lift up other ideas.

Lack of diversity of thought at the IETF in some ways.
 * Opportunity to innovate on the process.

Session 4 (28 Sep)

 * Clearly communicate what will be expected 
   * e.g. that if the point has already been made you will interrupt when it’s going on and on.
   * You will invite them to talk if you haven’t heard from them yet.
   * Also - repeat their point back to them to make sure that you understand it and they know that they’ve been heard.
   * If the topic does need extended conversation, let that happen too.
   * Sustain a participatory environment.
   * Email: email people personally and ask “did you feel that your issue was addressed appropriately”
 * Ways to increase participation
   * Talk to people in advance of the meeting
   * Reinforce participation with private nudging
   * if you know that there are people who have things to say, make sure they get heard.
 * People motivated by:
   * Need to control
   * Need to excel
   * Need to bond
 * “We’re not here to be right, we’re here to get it right”.
 * People prefer the positive to the negative.  Try not to match negative.
 * Be firm, but flexible.

 * E.G. for some people who struggle to make decisions or summarize what they want to say at the time - create pre-read documents so they have time to come up with opinions.
 * Non-English speakers are using their brain to translate, so are slower to think about the technical aspect as well.
   * Harder to speak than to understand - also listening is hard.  Takes time to formulate the question.
 * Nominate a specific editor for the document which isn’t the dominator.
 * Very different dynamic between large and small groups.

Session 5 (5 Oct)

 * The nature of conflict: when 2 or more people have differences and aren’t ready to understand or accept each other’s ideas.
   * Antagonistic interaction.
   * Blocks the group from getting things done.
 * Causes of conflict
   * Ideological differences
   * Opinion differences
   * Miscommunication
     * Different assumptions
   * Hidden agenda
   * Value differences
   * Goal differences
   * Need to be right
 * Symptoms of conflict
   * No desire to communicate
   * Disastrous meetings and interactions
   * Reduced productivity
   * Lack of Engagement
   * Slipping Morale
 * Functional conflict is constructive
   * Helps in working towards the goal of the group
   * Increases information and ideas
   * Encourages innovative thinking
   * Unshackles different points of view
   * Reduces stagnation
 * Dysfunctional conflict is destructive
   * Blocks the group from reaching their goals
   * Drives out low conflict tolerance people
   * Increases chances of making poor decisions
   * Time-consuming
 * The Default is also a decision.
 * Sometimes it’s hard to see the difference - how do you know when it has become dysfunctional:
   * Transition: mostly starts out dysfunctional.
   * My (Bron) theory - while people are persuading each other, it’s functional.
 * Approaches to conflict - Outcomes
   * Win/Lose
   * Lose/Lose
   * Win/Win
 * Thomas-Kilmann conflict management styles:
   * Avoiding style - used when it’s safer to postpone dealing with the situation, or not much care on outcome:
     * suggestion - also if things are progressing OK.
   * Accommodating style - do some self-sacrifice - can cause resentment.
   * Compromising style
   * Competing style
     * LOTS of discussion here.
   * Collaborating style

 * Conflict: email vs face-to-face.
   * Mostly: dysfunctional conflicts, otherwise it’s how the process should work!
   * If you have two parties who are not willing to agree, just stick in their positions.
   * Situation in TSV → broad group who support a solution, but a small group who keep coming back.
   * get into a pattern of unproductive behaviour, and it’s really hard to break out of it.  Often only 1/2 individuals who are key to what you’re working on, but they're very difficult to get to move.
   * Yes you get to a decision, but what’s the long term damage of the conflict?
   * got to a goal, but no energy left and.
   * had a similar situation in a working group, with a big group on one side and a smaller group on the other.  Started early-morning meetings with the small group that was not happy to understand what the point was and why there were unhappy and their idea of the solution.   At the end, achieved a compromise / agreement.  Conflict was solved.  Faciliated.
   * sometimes design team has been used to manage conflict → talk to more experienced working group chairs about how to manage a design team and make them successful?
   * also at hackathon → similar.  Sometimes if you have people who are arguing, get them to come to the hackathon and try things!  They have to sit around the table and work.
   * chairs not doing things
   * people complain that they get shut down if the chair does moderation, so changing is hard.  It’s a cultural thing.  Also: if we ask people to do this, it’ll be a lot harder to find people to do the job because it’s hard work!
   * want to involve everybody, but not that culture in the IETF.  We’re making effort.
   * in the onboarding kit / education context.  One part is the tools part, but the “these are your responsibilities" thing would be great.

Session 6 (12 Oct)

 * Great discussion, though I didn’t take many notes!  We ran over time talking about the diversity stuff, because of course we did.

Session 7 (19 Oct)

 * There’s a video and a live poll.
 * Consensus!
   * Equal influence in the decision making process
     * Equal opportunity to contribute.
   * The best thinking of the team
   * Has the “support” of everybody on the team.  They may not agree, but they fully support the decision → can live with.
   * Rough consensus means they generally support and can live with it → but sometimes we can make decisions even when people don’t agree.
   * Bron: also - “everybody has had a chance to be heard”.  Others agree that it’s more to be heard than “equal influence”.
   * Lack of discontent…
   * There have to be technical reasons for objection, can’t just say "I object” with no justification, and the reasons then get inspected and discussed.
 * Five Steps to Consensus:
   * (see slides)
   * Bron: step zero -> decide what you’re trying to do!
   * ... that’s the charter!
     * Outcome: did we achieve what was in the charter?
     * Sometimes we have milestones and a list of documents.
   * can happen that you have multiple proposals and you merge them together.
   * most difficult part is when you use this process, you discover there are some people who don’t want to even do the thing in the first place.
     * Sometimes people agree with doing something, but not with any of the actual suggestions.
   * how do you measure the final outcome practically?  Do you go back and count voices?
     * unless it’s been really contentious, state “it seems to me that we are converging on this” → then it should be obvious to most people in the room what the consensus is - unless it’s something that you really need to measure.
   * *can be useful to talk one-on-one with the people who seem unhappy, and find out why, rather than in front of the room.*
   * good for the chair to state where they think the consensus is specifically.
 * One characteristic of successful groups: active and careful listener chair:
   * Restate points.
   * Taking a neutral stance.
   * Attentive to both what’s being said and what’s not being said.
 * Diverse participants contribute to the conversation.
 * Talking to a co-chair can also be very helpful (sometimes when people are asking questions, it can be that they are not understood the same by you both - that can be sometimes quite surprising)
 * The neutral part is hard as well often; because when I dip deep into a technical question, I usually also have an opinion…
   * Bron: yeah, it's easier to be a neutral chair if you don't understand the topic deeply already, but it's harder to listen well. *The best I've found is to understand the topic well, but not have a personal interest in any specific outcome*
 * Problem solving goal → not in a hurry to get to a solution.
 * agree that it’s hard to listen well if you don’t have a deep understanding.
 * *It’s good to have a co-chair who isn’t so deeply involved → so maybe one with deep subject matter expertise and one with less directly involvement.*
   * depending on situation, co-chair may be more neutral.
 * hard to invest time and energy to chair something that you don’t care about necessarily!  Do a bit to help the community, but have to have some interest.

 * In the IETF, we try to separate what we say as an individual, and what we do as a chair!  But not every chair does it ideally well.  Can have a significant chill effect on new participants.  Not clear if the person has really stepped aside.
   * Sometimes, they need to step aside.  Particularly if co-chair is non-existent.
   * One problem with this training, is that the people who are here are the ones who don’t need the training!
   * … this is where the AD should step in?
   * (an AD) sometimes the AD doesn’t realise it’s happening!

 * Chair is skilled at packaging agreements that meet everyone’s more important interests.

VIDEO: “Consensus Building Approach → Prof. Lawrence Susskind”
 * Convening: getting people to come with shared expectations about what they’re going to be talking about and how they’re going to work.
 * Clarifying responsibilities: very clear who’s job it is to keep the summary of the meeting, record of the ideas that come up.
 * Deliberation: how do you talk together so it’s easier to come closer to a unanimous agreement.
   * Joint fact finding
   * Careful listening
   * an effort to package an agreement that meets everybody’s most important interests
 * Instead of going around so everybody speaks on issue number 1, etc
 * How do you know when you’ve deliberated enough?
   * Shouldn’t conclude on any issue until you’re ready to conclude on all of them.
   * Task of the person facilitating the meeting to see when we’re getting to a proposal that meets all the concerns.  Hard to know how to do that.  Can sense when the group is close.
   * A skilled professional should be at every meeting who knows how to facilitate to play that role.
 * It’s all in how the facilitator puts the suggestion → who can’t live with this.
   * If somebody can’t, have to put to the group the question of how to solve it.
 * Could go all day and not necessarily get unanimity.
   * Settle for overwhelming agreement, after every effort has been made to resolve the “I can’t live with this”.
   * Even if you have a holdout, you still have “consensus”.
 * Last step: are you willing to commit to this agreement, and to do specific things.

Bron → don’t like the “compromise/design by commitee”.

didn’t agree with the “addressing concerns of I can't live with” - that whole group can’t live with it.  Person who disagrees has to provide an alternative.  Group has help out, and it’s the role of the facilitator to help integrate the alternative so that the person feels included.
 * some people say “I’m not happy with paragraph”?  Ok, rephrase it.

Bron: some people might not feel confident to object, particularly if they’re being forced to come up with an alternative on the spot!

Last bits:

 maybe should be more active listening and involved in helping reach consensus, rather than just listening passively.

good to know where you sit in the spectrum → are you a super expert in this area? Step back, if your co-chair is, take on more work.

one of they key skills is your ability to faciliate conversations.  To clarify / reword / synthesise the discussion.

don’t want to be seen as influencing the decision or consensus, but still want to actively work on it.

hard to judge consensus when the working group is silent.  Are people uninterested, or OK → only the core people are interested.  Other chairs: how do you handle it, particularly remote?
 * happens to me very often.  Get used to the working group.  Sometimes we think it needs Majority.  But if group is silent, ask “does anybody have any concerns?”.  If no discontent, then that is consensus.
 * often ask if anybody is interested in reading/reviewing it.

Calling people by name, especially remotely, helps spark conversation.
 * Answer might be “no, I don’t care”, or “I’m fine with this”.
My own thoughts for → into document about this

 * Everyone has to agree that it doesn’t matter if it’s their idea or someone else’s, only that it’s the best work the group can come up with.
 * Work often comes from outside the IETF, and we always tell people “the IETF isn’t just a rubber stamp, you will lose change control and the IETF may change anything about it” → but that doesn’t mean that the IETF *has to* change it, and similar “put your own mark on it” applies to the working group as a whole!

Session 8 (26 Oct)

Consensus - how do you assess it in your groups?
 * First ask those who have had issues along the way if they are satisfied that their problems are resolved.
 * Assume authors know their stuff otherwise.
 * Also; ask if anybody has implemented, and ask about their experience.

Is there usually contention?
 * Depends on the topic.
 * Smaller working groups tend to converge faster.
 * Smaller group?  Size or nature?

*If still somebody unsatisfied, check with co-chair and with AD as well!  Don’t make a solo determination.*

Also: has to be confirmed on the mailing list, and given some time.
 * 2 weeks is a guideline
   * also, can bring things in a more structured manner on the list than in person.  Also a chance to persuade others.  Might stop fighting in the meeting.
 * If silence on the list, and consensus in the meeting, assume that means support.
 * Ask “who can not live with this solution?”
 * “Is this the hill you are willing to die on?” → sometimes can encourage consensus.
 * ALWAYS set a deadline when confirming the mailing list, so that people have a limit to send.
 * +1 is just “I agree with this everything this person said”, brings a bit more weight.

Do people use the datatracker for last-call announcements?
 * Some, but mostly forget.
 * please suggest to datatracker team enhancements.
 * You can also play in the sandbox.

Humming:
 * Generally done early in the process “should we do this work?  Which of A / B / C should we go into?”
 * Bron: humming is a physical process and it gives the whole room an idea of togetherness, not just the chairs.  It’s like singing together, it’s physical not just sterile counting.

On ignoring issues:
 * Links to inclusive environment.  If you ignore issues, you are ignoring the people who raise the issues.
 * Sometimes the group decides they can live with the issue as a group.

Deciding not to:
 * Out of scope.
 * Matters of taste / assumptions about whether people will use things / complexity
 * Tradeoffs - people are divided on what matters to them.
   * Sometimes get something nobody likes - design by committee
   * Generally go towards running code.
   * Coin flip?

Area Directors
 * AD is a resource - reach out for help!
 * AD is also useful where there’s conflict between working groups.
   * Yeah, particularly tricky with cross area or cross wg problems.  Good for chairs to flag things to ADs.
 * *Don’t assume that the ADs are aware of things! They don't have time to know everything in all the groups in their area.  Let them know if there are issues.*

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]